// *********************************************
// ********* 1944 Nordwind 2.1 Shaders *********
// ************ By EasyGen & Mateos ************
// ********** Last Update: 04/03/2013 **********
// *********************************************


// *********************************************
// ************ Custom Icon Shaders ************
// *********************************************

gfx/1944_nordwind2/cm_truckyard_gate
{
	noPicMip
	noMipMaps
	noCompress
	{
		map gfx/1944_nordwind2/cm_truckyard_gate.tga
		depthFunc equal
		blendFunc blend
		rgbGen vertex
		alphaGen vertex
	}
}

gfx/1944_nordwind2/cm_warehouse_gate
{
	noPicMip
	noMipMaps
	noCompress
	{
		map gfx/1944_nordwind2/cm_warehouse_gate.tga
		depthFunc equal
		blendFunc blend
		rgbGen vertex
		alphaGen vertex
	}
}


// *********************************************
// ************** Terrain Shaders **************
// *********************************************

textures/1944_nordwind2/terrain_base
{
	q3map_shadeAngle 60
	q3map_lightmapAxis z
	q3map_tcMod rotate 37
	q3map_lightmapMergable
	q3map_lightmapSize 512 512
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
}

textures/1944_nordwind2/terrain_0
{
	q3map_baseShader textures/1944_nordwind2/terrain_base
	qer_editorimage textures/editor_image/terrain0.tga
	{
		map textures/snow_sd/bigrock_rounded_faint.tga
		rgbGen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/detail_sd/snowdetail_heavy.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbGen identity
		detail
	}
}

textures/1944_nordwind2/terrain_1
{
	q3map_baseShader textures/1944_nordwind2/terrain_base
	qer_editorimage textures/editor_image/terrain1.tga
	surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/1944_nordwind/snow_dirt.jpg
		rgbGen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/detail_sd/snowdetail_heavy.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbGen identity
		detail
	}
}

textures/1944_nordwind2/terrain_2
{
	q3map_baseShader textures/1944_nordwind2/terrain_base
	qer_editorimage textures/editor_image/terrain2.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/1944_nordwind/snow_grass.jpg
		rgbGen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/detail_sd/snowdetail_heavy.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbGen identity
		detail
	}
}

textures/1944_nordwind2/terrain_0to1
{
	q3map_baseShader textures/1944_nordwind2/terrain_base
	qer_editorimage textures/editor_image/terrain0to1.tga
	surfaceparm gravelsteps
	{
		map textures/snow_sd/bigrock_rounded_faint.tga
		rgbGen identity
	}
	{
		map textures/1944_nordwind/snow_dirt.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/detail_sd/snowdetail_heavy.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbGen identity
		detail
	}
}

textures/1944_nordwind2/terrain_0to2
{
	q3map_baseShader textures/1944_nordwind2/terrain_base
	qer_editorimage textures/editor_image/terrain0to2.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/snow_sd/bigrock_rounded_faint.tga
		rgbGen identity
	}
	{
		map textures/1944_nordwind/snow_grass.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/detail_sd/snowdetail_heavy.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbGen identity
		detail
	}
}

textures/1944_nordwind2/terrain_1to2
{
	q3map_baseShader textures/1944_nordwind2/terrain_base
	qer_editorimage textures/editor_image/terrain1to2.tga
	surfaceparm landmine
	surfaceparm grasssteps
	{
		map textures/1944_nordwind/snow_dirt.jpg
		rgbGen identity
	}
	{
		map textures/1944_nordwind/snow_grass.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/detail_sd/snowdetail_heavy.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbGen identity
		detail
	}
}


// *********************************************
// ************** Texture Shaders **************
// *********************************************

textures/1944_nordwind/1944_nordwind2_cm
{
	qer_editorimage textures/1944_nordwind/command_map_mirrored.jpg
	surfaceparm woodsteps
	{
		map textures/1944_nordwind/command_map_mirrored.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/1944_nordwind/alliedprotecteddoor
{
	qer_editorimage textures/1944_nordwind/alliedprotecteddoor.jpg
	surfaceparm metalsteps
	{
		map textures/1944_nordwind/alliedprotecteddoor.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/1944_nordwind/bunkerwall_lrg02_brambles
{
	qer_editorimage textures/1944_nordwind/bunkerwall_lrg02_brambles.jpg
	{
		map textures/1944_nordwind/bunkerwall_lrg02_brambles.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/1944_nordwind/but_team_allied_mirrored
{
	qer_editorimage textures/1944_nordwind/but_team_allied_mirrored.jpg
	noPicMip
	surfaceparm woodsteps
	{
		map textures/1944_nordwind/but_team_allied_mirrored.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/1944_nordwind/brambles_2	// Skin of brambles.md3 & brambles_6.md3
{
	qer_alphafunc greater 0.5
	qer_editorimage textures/1944_nordwind/brambles_2.tga

	noPicMip
	cull disable
	sort seethrough

	surfaceparm trans
	surfaceparm nomarks
	surfaceparm pointlight
	surfaceparm alphashadow
	{
		map textures/1944_nordwind/brambles_2.tga
		alphaFunc GE128
		rgbGen exactVertex
		alphaGen vertex
	}
}

textures/1944_nordwind/forest_brambles
{
	qer_trans 0.95
	qer_alphafunc greater 0.5
	qer_editorimage textures/1944_nordwind/forest_brambles.tga

	noPicMip
	noMipMaps
	cull disable
	sort seethrough

	surfaceparm trans
	surfaceparm nomarks
	surfaceparm pointlight
	surfaceparm alphashadow

	{
		map textures/1944_nordwind/forest_brambles.tga
		alphaFunc GE128
		rgbGen exactVertex
		alphaGen vertex
	}
}

textures/1944_nordwind/glass
{
	qer_editorimage textures/common/dirtymirror.tga
	cull none
	qer_trans 0.5
	surfaceparm glass
	surfaceparm trans
	{
		map textures/common/dirtymirror.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
		tcGen environment
	}
}

textures/1944_nordwind/hay
{
	qer_editorimage textures/1944_nordwind/hay.jpg
	noPicMip
	noMipMaps
	cull disable

	surfaceparm nomarks
	surfaceparm woodsteps
	surfaceparm playerclip
	surfaceparm pointlight
	surfaceparm clipmissile

	implicitBlend -
}

textures/1944_nordwind/hay_trans
{
	qer_editorimage textures/1944_nordwind/hay_trans.tga
	noPicMip
	noMipMaps
	cull disable
	qer_trans 0.95

	surfaceparm trans
	surfaceparm nomarks
	surfaceparm woodsteps
	surfaceparm playerclip
	surfaceparm pointlight
	surfaceparm alphashadow
	surfaceparm clipmissile

	implicitMask textures/1944_nordwind/hay_trans.tga
}

textures/1944_nordwind/road
{
	qer_editorimage textures/1944_nordwind/road.jpg
	q3map_lightmapSize 512 512
	surfaceparm gravelsteps
	{
		map textures/1944_nordwind/road.jpg
		rgbGen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/detail_sd/snowdetail_heavy.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbGen identity
	}
}

textures/1944_nordwind/roof_1
{
	qer_editorimage textures/1944_nordwind/roof_1.jpg
	surfaceparm roofsteps
	{
		map textures/1944_nordwind/roof_1.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/1944_nordwind/s_castle_c02_brambles
{
	qer_editorimage textures/1944_nordwind/s_castle_c02_brambles.jpg
	{
		map textures/1944_nordwind/s_castle_c02_brambles.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/1944_nordwind/snow_road
{
	qer_editorimage textures/1944_nordwind/snow_road.jpg
	q3map_lightmapAxis z
	q3map_lightmapSize 512 512
	q3map_lightmapSampleSize 64		// Shadowing on road is smoothed
	surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/1944_nordwind/snow_road.jpg
		rgbGen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbGen identity
	}
}

textures/1944_nordwind/snow_wall_1
{
	qer_editorimage textures/1944_nordwind/snow_wall_1.jpg
	{
		map textures/1944_nordwind/snow_wall_1.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/1944_nordwind/snow_wall_2
{
	qer_editorimage textures/1944_nordwind/snow_wall_2.jpg
	{
		map textures/1944_nordwind/snow_wall_2.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/1944_nordwind/truss_m06
{
	qer_editorimage textures/alpha/truss_m06.tga
	noPicMip
	cull disable
	polygonOffset
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm metalsteps
	surfaceparm pointlight
	surfaceparm alphashadow
	{
		map textures/alpha/truss_m06.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

	implicitMask textures/alpha/truss_m06.tga
}

textures/1944_nordwind/wood_1
{
	qer_editorimage textures/1944_nordwind/wood_1.jpg
	surfaceparm woodsteps
	{
		map textures/1944_nordwind/wood_1.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/1944_nordwind/wood_2
{
	qer_editorimage textures/1944_nordwind/wood_2.jpg
	surfaceparm woodsteps
	{
		map textures/1944_nordwind/wood_2.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/forest/forest_brambles		// Skin of models/1944_nordwind/snow_foliage.md3
{
	qer_trans 0.95
	qer_editorimage textures/1944_nordwind/forest_brambles.tga
	noPicMip
	noMipMaps
	cull disable

	surfaceparm trans
	surfaceparm nomarks
	surfaceparm pointlight
	surfaceparm alphashadow
	surfaceparm clipmissile

	implicitMask textures/1944_nordwind/forest_brambles.tga
}

textures/forest/forest_brambles_2
{
	qer_trans 0.95
	qer_editorimage textures/1944_nordwind/forest_brambles_2.tga
	noPicMip
	noMipMaps
	cull disable

	surfaceparm trans
	surfaceparm nomarks
	surfaceparm pointlight
	surfaceparm alphashadow
	surfaceparm clipmissile

	implicitMask textures/1944_nordwind/forest_brambles_2.tga
}


// *********************************************
// *********** Bump & Hi-Res Shaders ***********
// *********************************************

textures/1944_nordwind2/texture_hr
{
	q3map_lightmapSampleSize 8
	q3map_lightmapSize 1024 1024
}

textures/1944_nordwind/snow_wall_1_bump
{
	qer_editorimage textures/bump/snow_wall_1_editorimage.tga
	q3map_lightmapSampleSize 1
	q3map_lightmapSize 1024 1024
	q3map_normalImage textures/bump/snow_wall_1_SPEC_NRM.tga
	{
		map $lightmap
 		rgbGen identity
	}
	{
		map textures/1944_nordwind/snow_wall_1.jpg
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/broken_castle/wall_c04_hi_res_lightmap
{
	qer_editorimage textures/broken_castle/wall_c04.jpg
	q3map_baseShader textures/1944_nordwind2/texture_hr
	{
		tcGen lightmap
		map $lightmap
		rgbGen identity
	}
	{
		map textures/broken_castle/wall_c04.jpg
		blendFunc filter
	}
}

textures/miltary_wall/concrete_m05c_hi_res_lightmap
{
	qer_editorimage textures/miltary_wall/concrete_m05c.jpg
	q3map_baseShader textures/1944_nordwind2/texture_hr
	{
		tcGen lightmap
		map $lightmap
		rgbGen identity
	}
	{
		map textures/miltary_wall/concrete_m05c.jpg
		blendFunc filter
	}
}

textures/radar/gy_ml03a_wet_hi_res_lightmap
{
	qer_editorimage textures/graveyard/gy_ml03a.tga
	q3map_baseShader textures/1944_nordwind2/texture_hr
	{
		tcGen lightmap
		map $lightmap
		rgbGen identity
	}
	{
		map textures/graveyard/gy_ml03a.tga
		blendFunc filter
	}
}

textures/snow_sd/concretec05_snow_hi_res_lightmap
{
	qer_editorimage textures/snow_sd/concretec05_snow.tga
	q3map_baseShader textures/1944_nordwind2/texture_hr
	{
		tcGen lightmap
		map $lightmap
		rgbGen identity
	}
	{
		map textures/snow_sd/concretec05_snow.tga
		blendFunc filter
	}
}

textures/town_floor/floor_d01_hi_res_lightmap
{
	qer_editorimage textures/town_floor/floor_d01.jpg
	q3map_baseShader textures/1944_nordwind2/texture_hr
	{
		tcGen lightmap
		map $lightmap
		rgbGen identity
	}
	{
		map textures/town_floor/floor_d01.jpg
		blendFunc filter
	}
}


// *********************************************
// *************** Decal Shaders ***************
// *********************************************

textures/1944_nordwind/forest_brambles_decal
{
	qer_trans 0.95
	qer_editorimage textures/1944_nordwind/forest_brambles.tga

	polygonOffset
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm pointlight
	{
		map textures/1944_nordwind/forest_brambles.tga
		blendFunc blend
	}
}

textures/1944_nordwind/decalpapers
{
	polygonOffset
	surfaceparm pointlight
	implicitBlend -
}